Module javafx.controls
Package javafx.scene.control.skin

# Class DatePickerSkin

java.lang.Object
javafx.scene.control.SkinBase<ComboBoxBase<T>>
javafx.scene.control.skin.ComboBoxBaseSkin<T>
javafx.scene.control.skin.ComboBoxPopupControl<LocalDate>
javafx.scene.control.skin.DatePickerSkin

All Implemented Interfaces:
  `Skin<ComboBoxBase<LocalDate>>`

    public class DatePickerSkin
    extends ComboBoxPopupControl<LocalDate>

Default skin implementation for the `DatePicker` control.

Since:
  9
See Also:
  `DatePicker`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DatePickerSkin​(DatePicker control)` | Creates a new DatePickerSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected double` | `computeMinWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)` | Computes the minimum allowable width of the Skin, based on the provided height.
  `void` | `dispose()` | Called by a Skinnable when the Skin is replaced on the Skinnable.
  `protected StringConverter<LocalDate>` | `getConverter()` | Subclasses are responsible for getting the converter.
  `Node` | `getDisplayNode()` | This method should return a Node that will be positioned within the ComboBox 'button' area.
  `protected TextField` | `getEditor()` | Subclasses are responsible for getting the editor.
  `Node` | `getPopupContent()` | This method should return the Node that will be displayed when the user clicks on the ComboBox 'button' area.
  `void` | `show()` | This method will be called when the ComboBox popup should be displayed.

  ### Methods inherited from class javafx.scene.control.skin.ComboBoxPopupControl

  `hide`

  ### Methods inherited from class javafx.scene.control.skin.ComboBoxBaseSkin

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computePrefHeight, computePrefWidth, layoutChildren`

  ### Methods inherited from class javafx.scene.control.SkinBase

  `computeMinHeight, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DatePickerSkin

    public DatePickerSkin​(DatePicker control)
    Creates a new DatePickerSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### dispose

    public void dispose()
    Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.
    Specified by:
      `dispose` in interface `Skin<ComboBoxBase<LocalDate>>`
    Overrides:
      `dispose` in class `SkinBase<ComboBoxBase<LocalDate>>`

  - ### getPopupContent

    public Node getPopupContent()
    This method should return the Node that will be displayed when the user clicks on the ComboBox 'button' area.
    Specified by:
      `getPopupContent` in class `ComboBoxPopupControl<LocalDate>`
    Returns:
      the Node that will be displayed when the user clicks on the ComboBox 'button' area

  - ### computeMinWidth

    protected double computeMinWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)
    Computes the minimum allowable width of the Skin, based on the provided height.
    Overrides:
      `computeMinWidth` in class `SkinBase<ComboBoxBase<LocalDate>>`
    Parameters:
      `height` - The height of the Skin, in case this value might dictate the minimum width.
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      A double representing the minimum width of this Skin.

  - ### show

    public void show()
    This method will be called when the ComboBox popup should be displayed. It is up to specific skin implementations to determine how this is handled.
    Overrides:
      `show` in class `ComboBoxPopupControl<LocalDate>`

  - ### getEditor

    protected TextField getEditor()
    Subclasses are responsible for getting the editor. This will be removed in FX 9 when the editor property is moved up to ComboBoxBase with JDK-8130354 Note: ComboBoxListViewSkin should return null if editable is false, even if the ComboBox does have an editor set.
    Specified by:
      `getEditor` in class `ComboBoxPopupControl<LocalDate>`
    Returns:
      the editor

  - ### getConverter

    protected StringConverter<LocalDate> getConverter()
    Subclasses are responsible for getting the converter. This will be removed in FX 9 when the converter property is moved up to ComboBoxBase with JDK-8130354.
    Specified by:
      `getConverter` in class `ComboBoxPopupControl<LocalDate>`
    Returns:
      the string converter

  - ### getDisplayNode

    public Node getDisplayNode()
    This method should return a Node that will be positioned within the ComboBox 'button' area.
    Specified by:
      `getDisplayNode` in class `ComboBoxBaseSkin<LocalDate>`
    Returns:
      the node that will be positioned within the ComboBox 'button' area